Upsert a Web Push subscription
curl --request POST \
--url https://api.getovra.com/push-subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint": "<string>",
"keys": {
"p256dh": "<string>",
"auth": "<string>"
},
"deviceLabel": "<string>"
}
'import requests
url = "https://api.getovra.com/push-subscriptions"
payload = {
"endpoint": "<string>",
"keys": {
"p256dh": "<string>",
"auth": "<string>"
},
"deviceLabel": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpoint: '<string>',
keys: {p256dh: '<string>', auth: '<string>'},
deviceLabel: '<string>'
})
};
fetch('https://api.getovra.com/push-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Push Subscriptions
Upsert a Web Push subscription
Browser flow — after pushManager.subscribe() resolves, POST the
PushSubscriptionJSON here. Upserts on (userId, endpoint).
POST
/
push-subscriptions
Upsert a Web Push subscription
⌘I
